﻿:root {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0d6efd;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-primary-rgb: 13, 110, 253;
    --bs-secondary-rgb: 108, 117, 125;
    --bs-success-rgb: 25, 135, 84;
    --bs-info-rgb: 13, 202, 240;
    --bs-warning-rgb: 255, 193, 7;
    --bs-danger-rgb: 220, 53, 69;
    --bs-light-rgb: 248, 249, 250;
    --bs-dark-rgb: 33, 37, 41;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-bg: #fff;
}

.footer_aufgabenbank,
.footer_aufgabenbank * {
    color: #fff !important;
}
/* alles nur, um den footer ganz nach unten zu setzen */
body.biv {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
body.biv .topwrapper {
    flex: 1;
}

/* für BIV Login-Maske mittig */
body.biv .login .login_wrapper .login_content {
    float: none;
    margin: 0 auto 3rem; /* 3rem Abstand nach unten */
}

/* Header hängt */
body.biv #mainlogin {
    padding-top: 10rem;
}

/* Hintergrund content komplett weiß */
body.biv .topwrapper {
    background-color: white;
}

button#downloadAll {
    margin: 1rem;
}

#downloadAllWrapper {
    max-width: calc(100% - 3rem);
    margin: 0 auto;
}

.download_dokumente > .subbox {
    width: 100%;
}

.rechnungstabelle {
    width: 100%;
    border-collapse: collapse;
}

.rechnungstabelle th:first-child,
.rechnungstabelle td:first-child {
    /*width: 70px;*/ /* passend für 48px SVG + etwas Abstand */
    text-align: center; /* Icon mittig */
    width: fit-content;
}
.rechnungstabelle th:first-child {
    text-align: left; /* Überschrift Donwload linksbündig */

}

.rechnungstabelle th:nth-child(2),
.rechnungstabelle td:nth-child(2) {
    text-align: left; /* linksbündig */
    width: auto; /* nimmt restlichen Platz */
}

.rechnungstabelle td {
    vertical-align: middle;
}

/* Hintergrundfarbe des Seiteninhaltes in BIV-Hellblau */
body.biv,
body.biv .topwrapper,
body.biv .topwrapper > .login,
body.biv .topwrapper > .content,
body.biv .topwrapper > .content > .boxwrapper,
body.biv .loggedin_header,
#mainlogin,
body.biv.loggedin .loggedin_header {
    background-color: #dcebf9;
}

body.biv .topwrapper {
    border-left: none;
    border-right: none;
    border-bottom: none;
}